VSTGUI: PluginGUIEditor Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
PluginGUIEditor Class Reference

`#include <plugguieditor.h>`

Inheritance diagram for PluginGUIEditor:

## Public Member Functions
| PluginGUIEditor (void *pEffect)
| ~PluginGUIEditor () override
virtual void | setParameter (int32_t index, float value)
virtual bool | getRect (ERect **ppRect)
virtual bool | open (void *ptr)
virtual void | close ()
virtual void | idle ()
void | doIdleStuff () override
void * | getEffect ()
int32_t | getVstGuiVersion ()
virtual int32_t | setKnobMode (int32_t val)
int32_t | getKnobMode () const override
void | beginEdit (int32_t index) override
void | endEdit (int32_t index) override
Public Member Functions inherited from VSTGUIEditorInterface
virtual bool | beforeSizeChange (const CRect &newSize, const CRect &oldSize)
| frame will change size, if this returns false the upstream implementation does not allow it and thus the size of the frame will not change
virtual CFrame * | getFrame () const

## Protected Attributes
ERect | rect
void * | effect
void * | systemWindow
Protected Attributes inherited from VSTGUIEditorInterface
CFrame * | frame {nullptr}

## Additional Inherited Members
Protected Member Functions inherited from VSTGUIEditorInterface
| VSTGUIEditorInterface ()=default
virtual | ~VSTGUIEditorInterface () noexcept=default

## Detailed Description

This is the same as the AEffGUIEditor class except that this one allows the VSTGUI lib to build without VST dependencies.

## Constructor & Destructor Documentation

## ◆ PluginGUIEditor()

PluginGUIEditor | ( | void * | pEffect | ) |

## ◆ ~PluginGUIEditor()

~PluginGUIEditor | ( |  | ) |
| override

## Member Function Documentation

## ◆ beginEdit()

void beginEdit | ( | int32_t | index | ) |
| inlineoverridevirtual

Reimplemented from VSTGUIEditorInterface.

## ◆ close()

virtual void close | ( |  | ) |
| inlinevirtual

## ◆ doIdleStuff()

void doIdleStuff | ( |  | ) |
| overridevirtual

Reimplemented from VSTGUIEditorInterface.

## ◆ endEdit()

void endEdit | ( | int32_t | index | ) |
| inlineoverridevirtual

Reimplemented from VSTGUIEditorInterface.

## ◆ getEffect()

void * getEffect | ( |  | ) |
| inline

## ◆ getKnobMode()

int32_t getKnobMode | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from VSTGUIEditorInterface.

## ◆ getRect()

bool getRect | ( | ERect ** | ppRect | ) |
| virtual

## ◆ getVstGuiVersion()

int32_t getVstGuiVersion | ( |  | ) |
| inline

## ◆ idle()

void idle | ( |  | ) |
| virtual

## ◆ open()

bool open | ( | void * | ptr | ) |
| virtual

## ◆ setKnobMode()

int32_t setKnobMode | ( | int32_t | val | ) |
| virtual

## ◆ setParameter()

virtual void setParameter | ( | int32_t | index,
|  | float | value )
| inlinevirtual

## Member Data Documentation

## ◆ effect

void* effect
| protected

## ◆ rect

ERect rect
| protected

## ◆ systemWindow

void* systemWindow
| protected

The documentation for this class was generated from the following files:

- plugguieditor.h
- plugguieditor.cpp